## configshell 1.5+git0.0827baa6

=== Makefile ===
# This file is part of LIO(tm).
# Copyright (c) 2011-2014 by Datera, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#     Unless required by applicable law or agreed to in writing, software
#     distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#     WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#     License for the specific language governing permissions and limitations
#     under the License.
#

NAME = configshell
GIT_BRANCH = $$(git branch | grep \* | tr -d \*)
GIT_DESC = $$(basename $$(git describe --tags | grep -o '[0-9].*$$'))
GIT_LAST_TAG = $$(git describe --tags --abbrev=0 | grep -o '[0-9].*$$')
GIT_PKG_TAG = $$(echo $(GIT_LAST_TAG) | tr - \~)
VERSION = $$(echo $(GIT_DESC) | sed s/^$(GIT_LAST_TAG)/$(GIT_PKG_TAG)/)

version:
	@echo $(VERSION)

all:
	@echo "Usage:"
	@echo
	@echo "  make deb         - Builds debian packages."
	@echo "  make debinstall  - Builds and installs debian packages."
	@echo "                     (requires sudo access)"
	@echo "  make rpm         - Builds rpm packages."
	@echo "  make release     - Generates the release tarball."
	@echo
	@echo "  make clean       - Cleanup the local repository build files."
	@echo "  make cleanall    - Also remove dist/*"

clean:
	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
	@rm -frv doc
	@rm -frv ${NAME}.egg-info MANIFEST build
	@rm -frv debian/tmp
	@rm -fv build-stamp
	@rm -fv dpkg-buildpackage.log dpkg-buildpackage.version
	@rm -frv *.rpm
	@rm -fv debian/files debian/*.log debian/*.substvars
	@rm -frv debian/${NAME}-doc/ debian/python2.5-${NAME}/
	@rm -frv debian/python2.6-${NAME}/ debian/python-${NAME}/
	@rm -frv results
	@rm -fv rpm/*.spec *.spec rpm/sed* sed*
	@rm -frv ${NAME}-*
	@find . -name *~ -exec rm -v {} \;
	@find . -name \#*\# -exec rm -v {} \;
	@echo "Finished cleanup."

cleanall: clean
	@rm -frv dist

release: build/release-stamp
build/release-stamp:
	@mkdir -p build
	@echo "Exporting the repository files..."
	@git archive ${GIT_BRANCH} --prefix ${NAME}-${VERSION}/ \
		| (cd build; tar xfp -)
	@cp -pr debian/ build/${NAME}-${VERSION}
	@echo "Cleaning up the target tree..."
	@rm -f build/${NAME}-${VERSION}/Makefile
	@rm -f build/${NAME}-${VERSION}/.gitignore
	@echo "Fixing version string..."
	@sed -i "s/__version__ = .*/__version__ = '${VERSION}'/g" \
		build/${NAME}-${VERSION}/${NAME}/__init__.py
	@echo "Generating rpm specfile from template..."
	@cd build/${NAME}-${VERSION}; \
		for spectmpl in rpm/*.spec.tmpl; do \
			sed -i "s/Version:\( *\).*/Version:\1${VERSION}/g" $${spectmpl}; \
			mv $${spectmpl} $$(basename $${spectmpl} .tmpl); \
		done; \
		rm -r rpm
	@echo "Generating rpm changelog..."
	@( \
		version=$(VERSION); \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%ad" -s \
			| awk '{print $$1,$$2,$$3,$$5}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo '* '"$${date} $${author} $${version}-1"; \
		echo "  - Generated from git commit $${hash}."; \
	) >> $$(ls build/${NAME}-${VERSION}/*.spec)
	@echo "Generating debian changelog..."
	@( \
		version=$(VERSION); \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%aD" -s); \
		day=$$(git show HEAD --format='format:%ai' -s \
			| awk '{print $$1}' \
			| awk -F '-' '{print $$3}' | sed 's/^0/ /g'); \
		date=$$(echo $${date} \
			| awk '{print $$1, "'"$${day}"'", $$3, $$4, $$5, $$6}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo "${NAME} ($${version}) unstable; urgency=low"; \
		echo; \
		echo "  * Generated from git commit $${hash}."; \
		echo; \
		echo " -- $${author}  $${date}"; \
		echo; \
	) > build/${NAME}-${VERSION}/debian/changelog
	@find build/${NAME}-${VERSION}/ -exec \
		touch -t $$(date -d @$$(git show -s --format="format:%at") \
			+"%Y%m%d%H%M.%S") {} \;
	@mkdir -p dist
	@cd build; tar -c --owner=0 --group=0 --numeric-owner \
		--format=gnu -b20 --quoting-style=escape \
		-f ../dist/${NAME}-${VERSION}.tar \
		$$(find ${NAME}-${VERSION} -type f | sort)
	@gzip -6 -n dist/${NAME}-${VERSION}.tar
	@echo "Generated release tarball:"
	@echo "    $$(ls dist/${NAME}-${VERSION}.tar.gz)"
	@touch build/release-stamp

deb: release build/deb-stamp
build/deb-stamp:
	@echo "Building debian packages..."
	@cd build/${NAME}-${VERSION}; \
		dpkg-buildpackage -rfakeroot -us -uc
	@mv build/*_${VERSION}_*.deb dist/
	@echo "Generated debian packages:"
	@for pkg in $$(ls dist/*_${VERSION}_*.deb); do echo "  $${pkg}"; done
	@touch build/deb-stamp

debinstall: deb
	@echo "Installing $$(ls dist/*_${VERSION}_*.deb)"
	@sudo dpkg -i $$(ls dist/*_${VERSION}_*.deb)

rpm: release build/rpm-stamp
build/rpm-stamp:
	@echo "Building rpm packages..."
	@mkdir -p build/rpm
	@build=$$(pwd)/build/rpm; dist=$$(pwd)/dist/; rpmbuild \
		--define "_topdir $${build}" --define "_sourcedir $${dist}" \
		--define "_rpmdir $${build}" --define "_buildir $${build}" \
		--define "_srcrpmdir $${build}" -ba build/${NAME}-${VERSION}/*.spec
	@mv build/rpm/*-${VERSION}*.src.rpm dist/
	@mv build/rpm/*/*-${VERSION}*.rpm dist/
	@echo "Generated rpm packages:"
	@for pkg in $$(ls dist/*-${VERSION}*.rpm); do echo "  $${pkg}"; done
	@touch build/rpm-stamp

## configshell 1.1

=== debian/changelog ===
configshell (1.1-3) unstable; urgency=low

  * [561bdb6] Add dependency on python-urwid.
    Thanks to Michael Prokop (Closes: #652847)
  * [d1f96b0] Add patch from upstream to fix a bug with fixed width 
    consoles. Thanks to Michael Prokop (Closes: #663718)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 16 Mar 2012 01:16:29 +0530

configshell (1.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 12 Dec 2011 14:29:39 +0530

configshell (1.1-1) experimental; urgency=low

  * Initial release. (Closes: #627105)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Dec 2011 01:00:46 +0530

=== debian/control ===
Source: configshell
Section: python
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python(>= 2.6.6-3~), python-epydoc, python-simpleparse, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, lmodern, ghostscript
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=configshell.git;a=summary
Vcs-Git: git://git.debian.org/git/linux-target/configshell.git
Vcs-Browser: http://git.debian.org/?p=linux-target/configshell.git

Package: python-configshell
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-epydoc, python-simpleparse, python-urwid
Provides: ${python:Provides}
Description: framework to create cli interfaces
 This package contains the configshell library which is used to create cli
 interfaces
 .
 It is part of the Linux Kernel SCSI Target's userspace management library

## configshell 1.1.fb20

=== debian/changelog ===
configshell (2:1.1.fb20-1) experimental; urgency=medium

  * WARNING: Use only in test environment
  * [73aa1d5] Enable pristine-tar for this repo
  * [a1b2d9c] Add dh-python to build depends
  * [7340a78] Imported Upstream version 1.1.fb20
  * [6cabeb4] Add python-setuptools to build-depends
  * [02e1f4a] Fix install target. Thanks Andy Grover
  * [81a50c0] Fix install list. Thanks Andy Grover

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 01 Aug 2016 17:24:41 +0530

configshell (1.6.1~g020d540-2) unstable; urgency=medium

  * Upload to Unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 30 Apr 2015 16:00:48 +0530

configshell (1.6.1~g020d540-1) experimental; urgency=medium

  * [df549bf] Imported Upstream version 1.5+git0.0827baa6
  * [dcfad76] Imported Upstream version 1.6
  * [bde4328] Use verbose mode when building with epydoc
  * [fdece36] Imported Upstream version 1.6.1~g020d540
  * [9de2530] Update README.source

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 17 Dec 2014 15:33:18 +0530

configshell (1.5+git0.0827baa6-2) unstable; urgency=medium

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 28 Sep 2014 16:06:28 +0530

configshell (1.5+git0.0827baa6-1) experimental; urgency=medium

  * [46076e6] Add some more build depends.
    Thanks to Andreas Moog (Closes: #737413)
  * [7b52566] Imported Upstream version 1.5+git0.0827baa6
  * [8dc7ffc] Add python-pyparsing to build-dep
  * [7c179c3] README canged to README.md
  * [45ba8c3] Update copyright

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 20 Sep 2014 14:27:15 +0530

configshell (1.2-1) unstable; urgency=low

  * [9160207] Add README.source
  * [a4795b5] Update Vcs links
  * [244e137] Switch license to Apache 2.0
  * [3600d3e] Imported Upstream version 1.2
  * [73a29f7] Drop patch 0001-Fixed-console-get_width.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 03 Aug 2013 22:00:13 +0530

=== debian/control ===
Source: configshell
Section: python
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python-pyparsing,
 ghostscript, lmodern, python(>= 2.6.6-3~), python-epydoc, python-simpleparse,
 texlive-fonts-recommended, texlive-latex-base, texlive-latex-extra,
 texlive-latex-recommended, dh-python, python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=configshell.git;a=summary
Vcs-Git: git://anonscm.debian.org/linux-target/configshell.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=linux-target/configshell.git

Package: python-configshell
Architecture: all
Depends: python-epydoc,
         python-simpleparse,
         python-urwid,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: framework to create cli interfaces
 This package contains the configshell library which is used to create cli
 interfaces
 .
 It is part of the Linux Kernel SCSI Target's userspace management library

=== debian/rules ===
#!/usr/bin/make -f

build_dir   = build
install_dir = debian/tmp


%:
	dh $@ --with python2

override_dh_auto_clean:
	# manually clean any *.pyc files
	rm -rf configshell/*.pyc
	[ ! -d doc ] || rm -rf doc

override_dh_auto_build:
	python setup.py build --build-base $(build_dir)

	mkdir -p doc/pdf
	epydoc -vvv --no-sourcecode --pdf -n configshell --exclude configobj configshell/*.py
	mv pdf/api.pdf doc/pdf/configshell_API_Documentation.pdf
	
	mkdir -p doc/html
	epydoc -vvv --no-sourcecode --html -n configshell --exclude configobj configshell/*.py
	mv html doc/

override_dh_auto_install:
	python setup.py install --no-compile --root=$(install_dir) --install-layout=deb

## configshell 1.2

=== debian/changelog ===
configshell (1.2-1ubuntu1) trusty; urgency=medium

  * Add Build-Depends on texlive-fonts-recommended to fix FTBFS:
    latex failed: Font T1/cmr/m/n/10=ecrm1000 at 10.0pt not loadable:

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 02 Feb 2014 17:39:40 +0100

=== debian/control ===
Source: configshell
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python(>= 2.6.6-3~), python-epydoc, python-simpleparse, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, lmodern, ghostscript, texlive-fonts-recommended
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=configshell.git;a=summary
Vcs-Git: git://anonscm.debian.org/linux-target/configshell.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=linux-target/configshell.git

Package: python-configshell
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-epydoc, python-simpleparse, python-urwid
Provides: ${python:Provides}
Description: framework to create cli interfaces
 This package contains the configshell library which is used to create cli
 interfaces
 .
 It is part of the Linux Kernel SCSI Target's userspace management library

=== debian/rules ===
#!/usr/bin/make -f

build_dir   = build
install_dir = debian/tmp


%:
	dh $@ --with python2

override_dh_auto_clean:
	# manually clean any *.pyc files
	rm -rf configshell/*.pyc
	[ ! -d doc ] || rm -rf doc

override_dh_auto_build:
	python setup.py build --build-base $(build_dir)

	mkdir -p doc/pdf
	epydoc --no-sourcecode --pdf -n configshell --exclude configobj configshell/*.py
	mv pdf/api.pdf doc/pdf/configshell_API_Documentation.pdf
	
	mkdir -p doc/html
	epydoc --no-sourcecode --html -n configshell --exclude configobj configshell/*.py
	mv html doc/

override_dh_auto_install:
	python setup.py install --no-compile --install-purelib \
		$(install_dir)/lib/ --install-scripts $(install_dir)/bin

## configshell 1.6.1~g020d540

=== debian/control ===
Source: configshell
Section: python
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python-pyparsing,
 ghostscript, lmodern, python(>= 2.6.6-3~), python-epydoc, python-simpleparse,
 texlive-fonts-recommended, texlive-latex-base, texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=configshell.git;a=summary
Vcs-Git: git://anonscm.debian.org/linux-target/configshell.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=linux-target/configshell.git

Package: python-configshell
Architecture: all
Depends: python-epydoc,
         python-simpleparse,
         python-urwid,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: framework to create cli interfaces
 This package contains the configshell library which is used to create cli
 interfaces
 .
 It is part of the Linux Kernel SCSI Target's userspace management library

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,11 @@
 	python setup.py build --build-base $(build_dir)
 
 	mkdir -p doc/pdf
-	epydoc --no-sourcecode --pdf -n configshell --exclude configobj configshell/*.py
+	epydoc -vvv --no-sourcecode --pdf -n configshell --exclude configobj configshell/*.py
 	mv pdf/api.pdf doc/pdf/configshell_API_Documentation.pdf
 	
 	mkdir -p doc/html
-	epydoc --no-sourcecode --html -n configshell --exclude configobj configshell/*.py
+	epydoc -vvv --no-sourcecode --html -n configshell --exclude configobj configshell/*.py
 	mv html doc/
 
 override_dh_auto_install:
